petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMCompositeGetEntries

Gets the DM for each entry in a DMComposite.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetEntries(DM dm,...)

Not Collective

### Input Parameter

dm -the packer object

### Output Parameter

DM ... -the individual entries (DMs)

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(), DMCompositeGetEntriesArray()
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html